summaryrefslogtreecommitdiff
blob: dfb373e18d576d8aa73660e8af8e572f81c07af5 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE glsa SYSTEM "http://www.gentoo.org/dtd/glsa.dtd">
<glsa id="200903-27">
  <title>ProFTPD: Multiple vulnerabilities</title>
  <synopsis>
    Two vulnerabilities in ProFTPD might allow for SQL injection attacks.
  </synopsis>
  <product type="ebuild">proftpd</product>
  <announced>2009-03-12</announced>
  <revised>2009-03-12: 01</revised>
  <bug>258450</bug>
  <access>remote</access>
  <affected>
    <package name="net-ftp/proftpd" auto="yes" arch="*">
      <unaffected range="ge">1.3.2</unaffected>
      <vulnerable range="lt">1.3.2</vulnerable>
    </package>
  </affected>
  <background>
    <p>
    ProFTPD is an advanced and very configurable FTP server.
    </p>
  </background>
  <description>
    <p>
    The following vulnerabilities were reported:
    </p>
    <ul><li>
    Percent characters in the username are not properly handled, which
    introduces a single quote character during variable substitution by
    mod_sql (CVE-2009-0542).
    </li>
    <li>
    Some invalid, encoded multibyte characters are not properly handled in
    mod_sql_mysql and mod_sql_postgres when NLS support is enabled
    (CVE-2009-0543).
    </li>
    </ul>
  </description>
  <impact type="normal">
    <p>
    A remote attacker could send specially crafted requests to the server,
    possibly resulting in the execution of arbitrary SQL statements.
    </p>
  </impact>
  <workaround>
    <p>
    There is no known workaround at this time.
    </p>
  </workaround>
  <resolution>
    <p>
    All ProFTPD users should upgrade to the latest version:
    </p>
    <code>
    # emerge --sync
    # emerge --ask --oneshot --verbose "&gt;=net-ftp/proftpd-1.3.2"</code>
  </resolution>
  <references>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0542">CVE-2009-0542</uri>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0543">CVE-2009-0543</uri>
  </references>
  <metadata tag="requester" timestamp="2009-03-07T18:36:42Z">
    craig
  </metadata>
  <metadata tag="submitter" timestamp="2009-03-12T12:43:00Z">
    p-y
  </metadata>
  <metadata tag="bugReady" timestamp="2009-03-12T12:43:09Z">
    p-y
  </metadata>
</glsa>